Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Developer API operation for PATCH /dev/v1/products//variants/.
cURL
curl --request PATCH \ --url https://api.shoppex.io/dev/v1/products/{id}/variants/{variantId} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "file_id": null, "dynamic_webhook": null } '
{ "data": { "id": "variant_1", "uniqid": "variant_1", "product_uniqid": "prod_1", "file_id": null, "dynamic_webhook": null, "title": "Updated", "description": null, "price": 15, "price_modifier": null, "stock": 4, "stock_delimiter": null, "license_period": null, "option_values": null, "is_default": false, "sort_order": 1, "created_at": 1711953600, "updated_at": 1711953900 } }
Use your Shoppex API key in the Authorization header.
The body is of type object.
object
Successful response